# Interface DSAParams

All Superinterfaces:
  `AlgorithmParameterSpec`

All Known Implementing Classes:
  `DSAParameterSpec`

public interface DSAParams extends AlgorithmParameterSpec
Interface to a DSA-specific set of key parameters, which defines a DSA key family. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

Since:
  1.1
See Also:
  - `DSAKey`
  - `Key`
  - `Signature`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigInteger`
  `getG()`
  Returns the base, `g`.
  `BigInteger`
  `getP()`
  Returns the prime, `p`.
  `BigInteger`
  `getQ()`
  Returns the subprime, `q`.

- ## Method Details

  - ### getP

    BigInteger getP()
    Returns the prime, `p`.
    Returns:
      the prime, `p`.

  - ### getQ

    BigInteger getQ()
    Returns the subprime, `q`.
    Returns:
      the subprime, `q`.

  - ### getG

    BigInteger getG()
    Returns the base, `g`.
    Returns:
      the base, `g`.